package org.springframework.cloud.consul.config.watch;

import org.springframework.context.ApplicationEvent;

import java.util.Map;

/**
 * @author Kysonli
 */
public class ConsulRefreshEvent extends ApplicationEvent {

    private Map<String,Object> refreshData;

    public ConsulRefreshEvent(Object source,Map<String,Object> data) {
        super(source);
        this.refreshData = data;
    }

    public Map<String, Object> getRefreshData() {
        return refreshData;
    }

    public void setRefreshData(Map<String, Object> refreshData) {
        this.refreshData = refreshData;
    }
}
