/*
 * Copyright (c) 2018 www.tencent.com.
 * All Rights Reserved.
 * This program is the confidential and proprietary information of
 * www.tencent.com ("Confidential Information").  You shall not disclose such
 * Confidential Information and shall use it only in accordance with
 * the terms of the license agreement you entered into with www.tencent.com.
 */

package org.springframework.cloud.consul.config.watch;

import org.springframework.boot.context.event.ApplicationReadyEvent;

/**
 * @author kysonli
 * @date 2018/9/18 16:23
 */
public interface IConsulRefreshEventListener {

     void handle(ApplicationReadyEvent event);

     void handle(ConsulRefreshEvent event);

     void asyncInvoke(ConfigChangeCallback configChangeCallback, String entryKey, Object lastValue, Object currentValue);

     void syncInvoke(ConfigChangeCallback configChangeCallback, String entryKey, Object lastValue, Object currentValue);
}
