package org.springframework.cloud.consul.config.watch;

/**
 * @author Kysonli
 */
public interface ConfigChangeCallback {

    /**
     * 配置变更回调函数
     * @param lastConfigProperty 旧的配置属性
     * @param newConfigProperty 新的配置属性
     */
    void callback(ConfigProperty lastConfigProperty, ConfigProperty newConfigProperty);

}
